[tool.poetry]
name = "deutsche-post-international-shipping-api-client"
version = "5.7.10"
description = "A client library for accessing Deutsche Post International Shipping API"
authors = []
readme = "README.md"
packages = [
    { include = "deutsche_post_international_shipping_api_client" },
]
include = ["deutsche_post_international_shipping_api_client/py.typed"]

[tool.poetry.dependencies]
python = "^3.10"
httpx = ">=0.23.0,<0.29.0"
attrs = ">=22.2.0"
python-dateutil = "^2.8.0"

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.ruff]
line-length = 120

[tool.ruff.lint]
select = ["F", "I", "UP"]
